Imagick::getImageRedPrimary
Imagick::getImageRenderingIntent
The Imagick class
PHP Manual

# Imagick::getImageRegion

(No version information available, might be only in CVS)

Imagick::getImageRegion — Extracts a region of the image

### Description

Imagick Imagick::getImageRegion ( int `$width` , int `$height` , int `$x` , int `$y` )
Warning

This function is currently not documented; only its argument list is available.

Extracts a region of the image and returns it as a a new Imagick object.

### Parameters

`width`

  The width of the extracted region.

`height`

  The height of the extracted region.

`x`

  X-coordinate of the top-left corner of the extracted region.

`y`

  Y-coordinate of the top-left corner of the extracted region.

### Return Values

Extracts a region of the image and returns it as a a new wand, throwing ImagickException on error.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImageRedPrimary
Imagick::getImageRenderingIntent
The Imagick class
PHP Manual